Name:       openldap-smbk5pwd
Version:    2.4.13
Release:    %mkrel 2
Summary:    OpenLdap smbk5pwd overlay
License:    Artistic
Group: 		System/Servers
URL: 		http://www.openldap.org
Source0: 	openldap-smbk5pwd-%{version}.tar.bz2
Patch0:     openldap-smbk5pwd-2.4.8-dont-use-internal-functions.patch
BuildRequires: heimdal-devel
BuildRequires: openldap-devel >= 2.4.8
BuildRequires: tcp_wrappers-devel
BuildRequires: libtool
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
This package contains a slapd overlay, smbk5pwd, that extends the
PasswordModify Extended Operation to update Kerberos keys and Samba
password hashes for an LDAP user.

%prep
%setup -q -n openldap-%{version}/contrib/slapd-modules/smbk5pwd
%patch0 -p 0

%build
make \
    libdir=%{_libdir} \
    LIBTOOL=%{_bindir}/libtool \
    LDAP_INC="-I%{_includedir}/openldap/include -I%{_includedir}/openldap/slapd"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/openldap
cp  .libs/smbk5pwd.so* %{buildroot}/%{_libdir}/openldap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_libdir}/openldap/*


%changelog
* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.13-2mdv2008.1
+ Revision: 332764
- use native source directly, so as to not disable kerberos support inadvertantly

* Tue Jan 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.13-1mdv2009.1
+ Revision: 326212
- update to code from latest openldap release
- drop patches 1 and 2 (merged)

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-5mdv2009.1
+ Revision: 300799
- Fix for ITS #5766 smbkrb5 overlay doesn't honour kerberos principal expiration

* Thu Sep 04 2008 Buchan Milne <bgmilne@mandriva.org> 2.4.8-4mdv2009.0
+ Revision: 280806
- Rebuild for Heimdal 1.2

* Wed Jun 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-3mdv2009.0
+ Revision: 229066
- fix password-termination issue (openldap ITS#5575)

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-2mdv2009.0
+ Revision: 212786
- fix usage of heimdal private functions

* Sun Mar 23 2008 Buchan Milne <bgmilne@mandriva.org> 2.4.8-1mdv2008.1
+ Revision: 189695
- import openldap-smbk5pwd


